## k3b 23.08.0

=== debian/changelog ===
k3b (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:37 +0100

k3b (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:39 +0100

k3b (23.04.3-0ubuntu2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:22:34 +0200

k3b (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:52 +0100

k3b (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libk3b-data package, install qt logging categories file in it
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:07 +0100

k3b (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:43 +0000

k3b (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:24 -0600

k3b (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:47 +0000

k3b (22.12.0-2ubuntu2) lunar; urgency=medium

  * Replace Recommends: libk3b7-extracodecs with libk3b-extracodecs
    - Binary package name was changed

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 04 Jan 2023 11:30:13 -0800

k3b (22.12.0-2ubuntu1) lunar; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Update upstream signing key.
  * Build dep on libkf5cddb-dev (>= 4:22.12.0~)
  * k3b depends on k3b-i18n, not vice versa

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Jan 2023 09:01:09 +0000

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.88.0~),
               gettext,
               libavdevice-dev (>= 7:4.4.0~),
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkf5archive-dev (>= 5.88.0~),
               libkf5auth-dev (>= 5.88.0~),
               libkf5cddb-dev (>= 4:23.08.0~),
               libkf5config-dev (>= 5.88.0~),
               libkf5coreaddons-dev (>= 5.88.0~),
               libkf5doctools-dev (>= 5.88.0~),
               libkf5filemetadata-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5iconthemes-dev (>= 5.88.0~),
               libkf5jobwidgets-dev (>= 5.88.0~),
               libkf5kcmutils-dev (>= 5.88.0~),
               libkf5kio-dev (>= 5.88.0~),
               libkf5newstuff-dev (>= 5.88.0~),
               libkf5notifications-dev (>= 5.88.0~),
               libkf5notifyconfig-dev (>= 5.88.0~),
               libkf5service-dev (>= 5.88.0~),
               libkf5solid-dev (>= 5.88.0~),
               libkf5widgetsaddons-dev (>= 5.88.0~),
               libkf5xmlgui-dev (>= 5.88.0~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libqt5webkit5-dev (>= 5.12.5+dfsg-3~),
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               qtbase5-dev (>= 5.14.0~),
               shared-mime-info,
Standards-Version: 4.6.1
Homepage: https://userbase.kde.org/K3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b8 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim | cdrskin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b-extracodecs, vcdimager
Suggests: k3b-extrathemes,
          kde-config-cddb,
          movixmaker-2,
          normalize-audio,
          sox,
Description: Sophisticated CD/DVD burning application
 K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
 It supports a variety of project types as well as copying of optical
 media, burning of different types of images, and ripping Audio CDs,
 Video CDs, and Video DVDs.
 Its convenient user interface is targeted at all audiences, trying to
 be as simple as possible for novice users, while also providing all
 features an advanced user might need.

Package: k3b-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b8 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8
Section: libs
Architecture: any
Multi-Arch: same
Depends: libk3b-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Breaks: libk3b7
Replaces: libk3b7
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains libraries data files.

Package: libk3b-extracodecs
Architecture: any
Multi-Arch: same
Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libk3b7-extracodecs
Replaces: libk3b7-extracodecs
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 23.08.1

=== debian/changelog ===
k3b (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libflac-dev,
                libkf5archive-dev (>= 5.88.0~),
                libkf5auth-dev (>= 5.88.0~),
-               libkf5cddb-dev (>= 4:23.08.0~),
+               libkf5cddb-dev (>= 4:23.08.1~),
                libkf5config-dev (>= 5.88.0~),
                libkf5coreaddons-dev (>= 5.88.0~),
                libkf5doctools-dev (>= 5.88.0~),

## k3b 23.08.4

=== debian/changelog ===
k3b (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:02 +0000

k3b (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:15 +0000

k3b (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:36 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libflac-dev,
                libkf5archive-dev (>= 5.88.0~),
                libkf5auth-dev (>= 5.88.0~),
-               libkf5cddb-dev (>= 4:23.08.1~),
+               libkf5cddb-dev (>= 4:23.08.4~),
                libkf5config-dev (>= 5.88.0~),
                libkf5coreaddons-dev (>= 5.88.0~),
                libkf5doctools-dev (>= 5.88.0~),

## k3b 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.96.0")

set (KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 8)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)
include(ECMQtDeclareLoggingCategory)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
                                     KCMUtils KIO Notifications NewStuff NotifyConfig Service Solid WidgetsAddons XmlGui)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core5Compat)
endif()

find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets)
set_package_properties(Qt${QT_MAJOR_VERSION}WebEngineWidgets PROPERTIES
    DESCRIPTION "QtWebEngineWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND)
    add_definitions(-DHAVE_QTWEBENGINEWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

if (KF_MAJOR_VERSION STREQUAL "5")
    set(KCDDB_TARGET_NAME KF5::Cddb)
    find_package(KF5Cddb 5.1 REQUIRED)
else()
    set(KCDDB_TARGET_NAME KCddb6)
    find_package(KCddb6 5.1 REQUIRED)
endif()
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Latest branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_ENABLE_MUSICBRAINZ)
    find_package(MusicBrainz)
    set_package_properties(MusicBrainz PROPERTIES
        DESCRIPTION "Provide information about the CD, about the artist or about related information"
        URL "https://musicbrainz.org/"
        TYPE OPTIONAL)

    set(ENABLE_MUSICBRAINZ "${MUSICBRAINZ_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg 4.4.0)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif(FFMPEG_INCLUDE_DIR_OLD_STYLE)
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif(FFMPEG_FOUND)

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${Muse_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${KDE_INSTALL_DATADIR})
  set(K3B_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt${QT_MAJOR_VERSION}.tag@${QTDOCS} docs/html/*.html)
    endif()
endif(K3B_BUILD_API_DOCS)

=== libk3bdevice/CMakeLists.txt ===

add_library(k3bdevice SHARED
    k3bdevice.cpp
    k3bdevice_mmc.cpp
    k3bscsicommand.cpp
    k3btrack.cpp
    k3btoc.cpp
    k3bdevicemanager.cpp
    k3bmsf.cpp
    k3bdiskinfo.cpp
    k3bdeviceglobals.cpp
    k3bcrc.cpp
    k3bcdtext.cpp
)

target_include_directories(k3bdevice PUBLIC .)

target_link_libraries(k3bdevice
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
    PRIVATE
        KF${KF_MAJOR_VERSION}::ConfigCore
        KF${KF_MAJOR_VERSION}::I18n
        KF${KF_MAJOR_VERSION}::KIOCore
        KF${KF_MAJOR_VERSION}::Solid
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(k3bdevice PRIVATE Qt6::Core5Compat)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "k?FreeBSD")
    target_link_libraries(k3bdevice PRIVATE cam)
endif()

set_target_properties(k3bdevice PROPERTIES
    VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE}
    SOVERSION ${K3B_LIB_VERSION_MAJOR}
)

generate_export_header(k3bdevice
    EXPORT_MACRO_NAME LIBK3BDEVICE_EXPORT
    DEPRECATED_MACRO_NAME LIBK3BDEVICE_EXPORT_DEPRECATED
    EXPORT_FILE_NAME k3bdevice_export.h
)

install(TARGETS k3bdevice ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/k3bdevice_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

install( FILES
    k3bdevicemanager.h
    k3bdevice.h
    k3btoc.h
    k3btrack.h
    k3bdeviceglobals.h
    k3bdiskinfo.h
    k3bcdtext.h
    k3bmsf.h
    k3bdevicetypes.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel
)

=== kioworkers/videodvd/CMakeLists.txt ===

add_library(kio_videodvd MODULE videodvd.cpp)
set_target_properties(kio_videodvd PROPERTIES OUTPUT_NAME "videodvd")

target_link_libraries(kio_videodvd KF${KF_MAJOR_VERSION}::KIOCore KF${KF_MAJOR_VERSION}::I18n k3blib k3bdevice)

ecm_qt_declare_logging_category(kio_videodvd
    HEADER videodvd_log.h
    IDENTIFIER KIO_VIDEODVD_LOG
    CATEGORY_NAME kf.kio.workers.videodvd
    DESCRIPTION "videodvd KIO worker"
    EXPORT K3B
)

generate_export_header(kio_videodvd
    EXPORT_MACRO_NAME VIDEODVD_EXPORT
    DEPRECATED_MACRO_NAME VIDEODVD_EXPORT_DEPRECATED
    EXPORT_FILE_NAME videodvd_export.h
)

install(TARGETS kio_videodvd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${KF_MAJOR_VERSION}/kio)

install( FILES  videodvd.desktop DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/services)

=== libk3b/jobs/CMakeLists.txt ===
install( FILES
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bvideodvdtitletranscodingjob.h
  k3bvideodvdtitledetectclippingjob.h
  k3bverificationjob.h
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiofileanalyzerjob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bverificationjob.h
  k3bmetawriter.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )


#
#if include_videodvdrip
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
#	k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
#	k3bdvdcopyjob.cpp k3bvideodvdtitletranscodingjob.cpp k3bvideodvdtitledetectclippingjob.cpp \
#	k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
#	k3biso9660imagewritingjob.cpp \
#	k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
#	k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
#	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
#	k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
#	k3bblankingjob.h k3bvideodvdtitletranscodingjob.h k3bvideodvdtitledetectclippingjob.h \
#	k3bverificationjob.h
#else
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
#	k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
#	k3bdvdcopyjob.cpp \
#	k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
#	k3biso9660imagewritingjob.cpp \
#	k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
#	k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
#	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
#	k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
#	k3bblankingjob.h k3bverificationjob.h
#endif

=== libk3b/plugin/CMakeLists.txt ===

install( FILES
  k3bplugin.h
  k3bpluginmanager.h
  k3baudiodecoder.h
  k3baudioencoder.h
  k3bpluginconfigwidget.h
  k3bprojectplugin.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

if (QT_MAJOR_VERSION STREQUAL "5")
    install( FILES k3bplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
endif()

=== libk3b/tools/CMakeLists.txt ===

install( FILES
  k3bwavefilewriter.h
  k3bbusywidget.h
  k3bdeviceselectiondialog.h
  k3bmd5job.h
  k3bdevicecombobox.h
  k3bstdguiitems.h
  k3bvalidators.h
  k3bthroughputestimator.h
  k3biso9660.h
  k3bmultichoicedialog.h
  k3bdevicehandler.h
  k3bcdparanoialib.h
  k3bmsfedit.h
  k3bcdtextvalidator.h
  k3bintvalidator.h
  k3bexceptions.h
  k3bthreadwidget.h
  k3bsignalwaiter.h
  k3biso9660backend.h
  k3bdirsizejob.h
  k3bchecksumpipe.h
  k3bintmapcombobox.h
  k3bactivepipe.h
  k3bfilesplitter.h
  k3bfilesysteminfo.h
  k3bmedium.h
  k3bmediacache.h
  k3bcddb.h
  k3bprocess.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

=== libk3b/projects/movixcd/CMakeLists.txt ===
install( FILES  k3bmovixdoc.h  			k3bmovixjob.h  			k3bmovixfileitem.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
    FLAC::Metadata::VorbisComment* vc;
    vc->get_vendor_string().get_field();
    return 0;
}
" FLAC_LESS_THAN_1_1_1 )

if( NOT FLAC_LESS_THAN_1_1_1)
    set(FLAC_NEWER_THAN_1_1_1 1)
endif()

configure_file(config-flac.h.cmake config-flac.h )

kcoreaddons_add_plugin(k3bflacdecoder
    SOURCES k3bflacdecoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_include_directories(k3bflacdecoder PRIVATE ${FLAC++_INCLUDE_DIR} ${FLAC_INCLUDE_DIR})

target_link_libraries(k3bflacdecoder k3bdevice k3blib KF${KF_MAJOR_VERSION}::I18n ${FLAC++_LIBRARIES} ${FLAC_LIBRARIES})

if(ENABLE_TAGLIB)
    target_link_libraries(k3bflacdecoder Taglib::Taglib)
endif()

=== plugins/decoder/libsndfile/CMakeLists.txt ===
kcoreaddons_add_plugin(k3blibsndfiledecoder
    SOURCES k3blibsndfiledecoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_include_directories(k3blibsndfiledecoder PRIVATE ${SNDFILE_INCLUDE_DIR})

target_link_libraries(k3blibsndfiledecoder k3bdevice k3blib KF${KF_MAJOR_VERSION}::I18n ${SNDFILE_LIBRARIES})

=== plugins/encoder/ogg/CMakeLists.txt ===
kcoreaddons_add_plugin(k3boggvorbisencoder
    SOURCES k3boggvorbisencoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3boggvorbisencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
    ${OGGVORBIS_LIBRARIES}
)

ki18n_wrap_ui(ui_sources base_k3boggvorbisencodersettingswidget.ui)

kcoreaddons_add_plugin(kcm_k3boggvorbisencoder INSTALL_NAMESPACE "k3b_plugins/kcms")
target_sources(kcm_k3boggvorbisencoder PRIVATE k3boggvorbisencoderconfigwidget.cpp ${ui_sources})

target_link_libraries(kcm_k3boggvorbisencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
    ${OGGVORBIS_LIBRARIES}
)

=== plugins/encoder/sox/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bsoxencoder
    SOURCES k3bsoxencoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3bsoxencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
)

ki18n_wrap_ui(ui_sources base_k3bsoxencoderconfigwidget.ui)

kcoreaddons_add_plugin(kcm_k3bsoxencoder INSTALL_NAMESPACE "k3b_plugins/kcms")
target_sources(kcm_k3bsoxencoder PRIVATE k3bsoxencoderconfigwidget.cpp ${ui_sources})

target_link_libraries(kcm_k3bsoxencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
)

=== debian/changelog ===
k3b (23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:22 +0200

k3b (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:27:47 +0000

k3b (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:40:01 +0000

k3b (23.08.5-0ubuntu2) noble; urgency=medium

  * Rebuild against latest libdvdread

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 14:06:51 -0400

k3b (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:33:23 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libflac-dev,
                libkf5archive-dev (>= 5.88.0~),
                libkf5auth-dev (>= 5.88.0~),
-               libkf5cddb-dev (>= 4:23.08.4~),
+               libkf5cddb-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.88.0~),
                libkf5coreaddons-dev (>= 5.88.0~),
                libkf5doctools-dev (>= 5.88.0~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# lots of deprecation warnings, so disable them for now
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-deprecated -Wno-deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF

execute_after_dh_install-indep:
	# duplicated English documentation, only in k3b-data
	rm -rfv debian/k3b-i18n/usr/share/doc/HTML/en/

.PHONY: override_dh_dwz

## k3b 24.05.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "05")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})
@@ -71,7 +71,7 @@
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
 find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
-                                     KCMUtils KIO Notifications NewStuff NotifyConfig Service Solid WidgetsAddons XmlGui)
+                                     KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)
 if (QT_MAJOR_VERSION STREQUAL "6")
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core5Compat)
 endif()

=== plugins/encoder/lame/CMakeLists.txt ===
kcoreaddons_add_plugin(k3blameencoder
    SOURCES k3blameencoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3blameencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
    ${LAME_LIBRARIES}
)

ki18n_wrap_ui(ui_sources
    base_k3blameencodersettingswidget.ui
    base_k3bmanualbitratesettingsdialog.ui
)

kcoreaddons_add_plugin(kcm_k3blameencoder INSTALL_NAMESPACE "k3b_plugins/kcms/")
target_sources(kcm_k3blameencoder PRIVATE
    k3blameencoderconfigwidget.cpp
    k3blamemanualsettingsdialog.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3blameencoder
    k3bdevice
    k3blib
    KF${KF_MAJOR_VERSION}::I18n
)

=== debian/changelog ===
k3b (24.05.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - libk3b-data to install qlogging files.
    - Update upstream signing key.
    - debian/patches: kubuntu_07_quicklists.diff
  * Merged to fix FTBFS against latest ffmpeg.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Aug 2024 09:50:31 +0100

k3b (24.05.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.05.2). (Closes: #1072425)
  * Bump Standards-Version to 4.7.0, no change required.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 31 Jul 2024 15:07:11 +0200

k3b (23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.3).
  * Restrict build-dep on qtwebengine5-dev to architectures where it
    exists (Closes: #1057662).

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 07 Dec 2023 15:13:13 -0500

k3b (23.08.2-1) unstable; urgency=medium

  [ Jesse Rhodes ]
  * Team upload.
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake, libkcddb and
    upstream.
  * Update list of installed files from build logs.

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 04 Nov 2023 19:57:07 -0400

=== debian/control ===
--- 
+++ 
@@ -8,44 +8,44 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.88.0~),
+               extra-cmake-modules (>= 5.96.0~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libcam-dev [kfreebsd-any],
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkf5archive-dev (>= 5.88.0~),
-               libkf5auth-dev (>= 5.88.0~),
-               libkf5cddb-dev (>= 4:23.08.5~),
-               libkf5config-dev (>= 5.88.0~),
-               libkf5coreaddons-dev (>= 5.88.0~),
-               libkf5doctools-dev (>= 5.88.0~),
-               libkf5filemetadata-dev (>= 5.88.0~),
-               libkf5i18n-dev (>= 5.88.0~),
-               libkf5iconthemes-dev (>= 5.88.0~),
-               libkf5jobwidgets-dev (>= 5.88.0~),
-               libkf5kcmutils-dev (>= 5.88.0~),
-               libkf5kio-dev (>= 5.88.0~),
-               libkf5newstuff-dev (>= 5.88.0~),
-               libkf5notifications-dev (>= 5.88.0~),
-               libkf5notifyconfig-dev (>= 5.88.0~),
-               libkf5service-dev (>= 5.88.0~),
-               libkf5solid-dev (>= 5.88.0~),
-               libkf5widgetsaddons-dev (>= 5.88.0~),
-               libkf5xmlgui-dev (>= 5.88.0~),
+               libkf5archive-dev (>= 5.96.0~),
+               libkf5auth-dev (>= 5.96.0~),
+               libkf5cddb-dev (>= 4:23.08.1~),
+               libkf5config-dev (>= 5.96.0~),
+               libkf5coreaddons-dev (>= 5.96.0~),
+               libkf5doctools-dev (>= 5.96.0~),
+               libkf5filemetadata-dev (>= 5.96.0~),
+               libkf5i18n-dev (>= 5.96.0~),
+               libkf5iconthemes-dev (>= 5.96.0~),
+               libkf5jobwidgets-dev (>= 5.96.0~),
+               libkf5kcmutils-dev (>= 5.96.0~),
+               libkf5kio-dev (>= 5.96.0~),
+               libkf5newstuff-dev (>= 5.96.0~),
+               libkf5notifications-dev (>= 5.96.0~),
+               libkf5notifyconfig-dev (>= 5.96.0~),
+               libkf5service-dev (>= 5.96.0~),
+               libkf5solid-dev (>= 5.96.0~),
+               libkf5widgetsaddons-dev (>= 5.96.0~),
+               libkf5xmlgui-dev (>= 5.96.0~),
                libmad0-dev,
                libmp3lame-dev,
                libmpcdec-dev,
-               libmusicbrainz5-dev,
-               libqt5webkit5-dev (>= 5.12.5+dfsg-3~),
+               libqt5webkit5-dev (>= 5.15.2~),
                libsamplerate0-dev,
                libsndfile1-dev,
                libtag1-dev,
                libvorbis-dev,
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mips64el],
                shared-mime-info,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://userbase.kde.org/K3b
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
@@ -62,9 +62,13 @@
          wodim | cdrskin,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b-extracodecs, vcdimager
+Recommends: dvd+rw-tools,
+            growisofs,
+            kde-config-cddb (>= 4:23.08.1~),
+            libk3b-extracodecs,
+            vcdimager,
 Suggests: k3b-extrathemes,
-          kde-config-cddb,
+          k3b-i18n,
           movixmaker-2,
           normalize-audio,
           sox,
@@ -80,7 +84,7 @@
 Package: k3b-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - data files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -91,7 +95,7 @@
 
 Package: k3b-extrathemes
 Architecture: all
-Depends: k3b, ${misc:Depends}
+Depends: k3b, ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - extra themes
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -103,7 +107,7 @@
 Package: k3b-i18n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: k3b, ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - localizations files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -116,8 +120,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b8 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libk3b8 (= ${binary:Version}), ${misc:Depends},
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -130,10 +133,11 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libk3b-data (= ${source:Version}),
-         ${misc:Depends}, ${shlibs:Depends}
-Breaks: libk3b7
-Replaces: libk3b7
+Depends:  libk3b-data (= ${source:Version}),
+          ${misc:Depends},
+          ${shlibs:Depends},
+Breaks: libk3b7,
+Replaces: libk3b7,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -158,9 +162,9 @@
 Package: libk3b-extracodecs
 Architecture: any
 Multi-Arch: same
-Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libk3b7-extracodecs
-Replaces: libk3b7-extracodecs
+Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Breaks: libk3b7-extracodecs,
+Replaces: libk3b7-extracodecs,
 Description: KDE CD/DVD burning application library - extra decoders
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
